Skip to main content
GET
/
v1
/
external_accounts
/
{id}
Retrieve an external account
curl --request GET \
  --url https://api.yorlet.com/v1/external_accounts/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "external_account",
  "available_payout_methods": [
    "<string>"
  ],
  "confirmation_of_payee": {
    "status": "awaiting_acknowledgement"
  },
  "status": "new",
  "type": "bank_account",
  "account": "<string>",
  "deleted": false,
  "bank_account": {
    "account_holder_name": "<string>",
    "account_holder_type": "individual",
    "bank_name": "<string>",
    "country": "<string>",
    "currency": "aud",
    "last4": "<string>",
    "routing_number": "<string>",
    "swift_bic": "<string>"
  },
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns the external account object.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
external_account
available_payout_methods
string[]
required
confirmation_of_payee
object
required
status
enum<string>
required
Available options:
new,
errored
type
enum<string>
required
Available options:
bank_account
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

bank_account
object
metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.